IRremoteESP8266: HaierYRW02Protocol Union Reference

IRremoteESP8266

Public Attributes | List of all members
HaierYRW02Protocol Union Reference

Native representation of a Haier YRW02 A/C message. More...

`#include <ir_Haier.h>`

## Public Attributes

uint8_t | raw [kHaierACYRW02StateLength]
| The state in native form. More...
struct {
uint8_t Prefix
uint8_t Swing:4
uint8_t Temp:4
uint8_t __pad0__:8
uint8_t __pad1__:1
uint8_t Health:1
uint8_t __pad2__:6
uint8_t __pad3__:6
uint8_t Power:1
uint8_t __pad4__:1
uint8_t __pad5__:5
uint8_t Fan:3
uint8_t __pad6__:6
uint8_t Turbo:2
uint8_t __pad7__:5
uint8_t Mode:3
uint8_t __pad8__:7
uint8_t Sleep:1
uint8_t __pad9__:8
uint8_t __pad10__:8
uint8_t __pad11__:8
uint8_t Button:4
uint8_t __pad12__:4
uint8_t Sum
}; |

## Detailed Description

Native representation of a Haier YRW02 A/C message.

## Member Data Documentation

## ◆ @41

struct { ... }

## ◆ __pad0__

uint8_t HaierYRW02Protocol::__pad0__

## ◆ __pad10__

uint8_t HaierYRW02Protocol::__pad10__

## ◆ __pad11__

uint8_t HaierYRW02Protocol::__pad11__

## ◆ __pad12__

uint8_t HaierYRW02Protocol::__pad12__

## ◆ __pad1__

uint8_t HaierYRW02Protocol::__pad1__

## ◆ __pad2__

uint8_t HaierYRW02Protocol::__pad2__

## ◆ __pad3__

uint8_t HaierYRW02Protocol::__pad3__

## ◆ __pad4__

uint8_t HaierYRW02Protocol::__pad4__

## ◆ __pad5__

uint8_t HaierYRW02Protocol::__pad5__

## ◆ __pad6__

uint8_t HaierYRW02Protocol::__pad6__

## ◆ __pad7__

uint8_t HaierYRW02Protocol::__pad7__

## ◆ __pad8__

uint8_t HaierYRW02Protocol::__pad8__

## ◆ __pad9__

uint8_t HaierYRW02Protocol::__pad9__

## ◆ Button

uint8_t HaierYRW02Protocol::Button

## ◆ Fan

uint8_t HaierYRW02Protocol::Fan

## ◆ Health

uint8_t HaierYRW02Protocol::Health

## ◆ Mode

uint8_t HaierYRW02Protocol::Mode

## ◆ Power

uint8_t HaierYRW02Protocol::Power

## ◆ Prefix

uint8_t HaierYRW02Protocol::Prefix

## ◆ raw

uint8_t HaierYRW02Protocol::raw[kHaierACYRW02StateLength]

The state in native form.

## ◆ Sleep

uint8_t HaierYRW02Protocol::Sleep

## ◆ Sum

uint8_t HaierYRW02Protocol::Sum

## ◆ Swing

uint8_t HaierYRW02Protocol::Swing

## ◆ Temp

uint8_t HaierYRW02Protocol::Temp

## ◆ Turbo

uint8_t HaierYRW02Protocol::Turbo

The documentation for this union was generated from the following file:

- src/ir_Haier.h